Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.recipe.services
Class ListFeedbackItem

    java.lang.Object
      be.recipe.services.ListFeedbackItem

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:29:02+02:00",
               comments="JAXB RI v2.2.6")
    public class ListFeedbackItem

extends Object
implements Serializable

Java class for ListFeedbackItem complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ListFeedbackItem">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="rid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="sentBy" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
             <element name="sentDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="content" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ListFeedbackItem()`

Method Summary
`byte[]` | `getContent()` Gets the value of the content property.
`String` | `getRid()` Gets the value of the rid property.
`Long` | `getSentBy()` Gets the value of the sentBy property.
`org.joda.time.DateTime` | `getSentDate()` Gets the value of the sentDate property.
`void` | `setContent(byte[] value)` Sets the value of the content property.
`void` | `setRid(String value)` Sets the value of the rid property.
`void` | `setSentBy(Long value)` Sets the value of the sentBy property.
`void` | `setSentDate(org.joda.time.DateTime value)` Sets the value of the sentDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListFeedbackItem

    public ListFeedbackItem()

Method Detail

### getRid

    public String getRid()

  Gets the value of the rid property.

  Returns:
    possible object is `String`

### setRid

    public void setRid(String value)

  Sets the value of the rid property.

  Parameters:
    `value` - allowed object is `String`

### getSentBy

    public Long getSentBy()

  Gets the value of the sentBy property.

  Returns:
    possible object is `Long`

### setSentBy

    public void setSentBy(Long value)

  Sets the value of the sentBy property.

  Parameters:
    `value` - allowed object is `Long`

### getSentDate

    public org.joda.time.DateTime getSentDate()

  Gets the value of the sentDate property.

  Returns:
    possible object is `String`

### setSentDate

    public void setSentDate(org.joda.time.DateTime value)

  Sets the value of the sentDate property.

  Parameters:
    `value` - allowed object is `String`

### getContent

    public byte[] getContent()

  Gets the value of the content property.

  Returns:
    possible object is byte[]

### setContent

    public void setContent(byte[] value)

  Sets the value of the content property.

  Parameters:
    `value` - allowed object is byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.